Package Details: joplin 1.3.18-1

Git Clone URL: https://aur.archlinux.org/joplin.git (read-only, click to copy)
Package Base: joplin
Description: A note taking and to-do application with synchronization capabilities
Upstream URL: https://joplinapp.org/
Keywords: markdown note notetaking productivity
Licenses: MIT
Submitter: masterkorp
Maintainer: masterkorp
Last Packager: masterkorp
Votes: 149
Popularity: 9.30
First Submitted: 2018-04-18 16:33
Last Updated: 2020-11-06 15:59

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

macxcool commented on 2020-03-18 23:02

@aliTajelsir @masterkorp @imlonghao I'm getting the same error "npm ERR! cb() never called!" I have my machine all up-to-date (-Syu) as well. I checked and yarn is installed. I was able to compile it in the previous iteration of the package.

ndowens04 commented on 2020-03-18 14:46

Missing yarn in makedepends

rility commented on 2020-03-18 06:22

@imlonghao I saw you have recently joined and adopted this package on archlinuxcn. Maybe you can start an alternative fork on AUR? This author doesn't seem too keen to maintain it accordingly to the guideline. There is plenty room for improvement.

  • Missing and extra depends.

  • separated CLI and Electron builds.

  • Building against system electron.

AliTajelsir commented on 2020-03-16 18:36

@masterkorp @imlonghao, I already did pacman -Syu but I did it again and then tried to build but without success. @paulstrait, I installed yarn with the same results. As I see I'm the only one with the npm issue so I'll look into my setup again and if it's not resolved I'll open an issue in GitHub. Thanks for the help.

paulstrait commented on 2020-03-16 17:39

Trap000d's fork works, but it needs yarn as a dependency but doesn't seem to realize that it does...

imlonghao commented on 2020-03-16 15:22

@AliTajelsir, I can build trap000d's fork successfully. You may do pacman -Syu before build the AUR package. @masterkorp, can you merge https://github.com/alfredopalhares/joplin-pkgbuild/pull/49 into master or add yarn as makedepend?

masterkorp commented on 2020-03-16 15:14

@AllTajedir

Can you do a pacman -Syu before and AUr update as well?

If the problem persits, can you please report it here?

https://github.com/alfredopalhares/joplin-pkgbuild/issues

Regards

AliTajelsir commented on 2020-03-16 15:11

Thanks @trap000d, but even with your repo I get the npm error:

npm ERR! cb() never called!

npm ERR! This is an error with npm itself. Please report this error at:
npm ERR!     <https://npm.community>

npm ERR! A complete log of this run can be found in:
npm ERR!     /home/ali/GitHub/trap-joplin/joplin/src/npm-cache/_logs/2020-03-16T15_06_27_003Z-debug.log
==> ERROR: A failure occurred in build().

Looks like an issue specific to npm. Tried different solutions from their forum without success.

trap000d commented on 2020-03-16 01:17

AliTajelsir, This is because I've modified *.desktop file as well. Please clone full repo from https://github.com/trap000d/aur and build Joplin from there.

halcek commented on 2020-03-15 19:56

Even with yarn installed, while it builds, it certainly does not look, nor function as it should?